#tbl th.dash-filter, #tbl tr:nth-child(2) > th:nth-child(1) {
    top: 50px;
}

#tbl th.dash-filter input {
    border-bottom: solid 1px #d3d3d3;
    font-size: 10pt;
    text-align: center;
}

#tbl .dash-spreadsheet-container .dash-spreadsheet-inner td.dash-cell.column-0 {
    width:0px !important;
}

#tbl .dash-spreadsheet-container .dash-spreadsheet-inner td.dash-cell.column-1 .dash-cell-value {
    width: 100 !important;
}

#tbl td.dash-delete-cell {
    width: 20px !important;
    background-color: white;
    text-align: center;
}

#tbl tr td {
    box-shadow: inset 0px 0px 0px 0px #d3d3d3 !important;
}


#tbl ::-webkit-scrollbar {
    width: 4px;
    height: 0px;
    margin-right: 500px;
    background-color: #191A1C;
}

#tbl ::-webkit-scrollbar-thumb {
    width: 2px;
    background-color: #E4E4E4;
    border-radius:15px;
    padding-right:5px;
}

#tbl {
    max-height: 600px;
    overflow: hidden;
}

#tbl table, #tbl-print table {
    font-family: aktiv-grotesk-thin,sans-serif;
}

#tbl {
    padding: 10px !important;
    text-align: center !important;
}

#tbl span {
    display: inline-block;
}

#tbl span.sort {
    font-size: 20pt;
    display: inline-block;
    margin-right: 5px;
}

#tbl th.dash-header, #tbl th.dash-filter, #tbl th.dash-delete-header, #tbl tr:nth-child(2) > th:nth-child(1) {
    position: sticky !important;
    left: 0px;
    background-color: white !important;
    text-transform: lowercase;
    font-variant: all-small-caps;
    font-color: #232323;
    font-size: 20pt;
    padding-bottom: 20px;
    box-shadow: none !important;
}

#tbl th.dash-header, #tbl th.dash-delete-header {
    top: -10px;
}

#tbl th.dash-header {
    /*color: #c3c3c3;*/
    font-stretch: condensed;
}

#tbl th.dash-header > div {
    margin: auto;
    display: inline-block;
}


.js-plotly-plot .plotly .modebar {
  padding-top: 5%;
  margin-right: 3.5%;
}

body {
    font-family: "Open Sans", sans-serif;
    color: #3e454c;
    background-color: #ffffff;
    font-size: 1.5rem;
    padding: 20px;
}

/*
.banner {
    height: 5rem;
    margin-bottom: 1rem;
    padding: 0rem 5rem 0rem;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    background-color: #fcfcfc;
    border-bottom: 1px solid #4B5460;
    padding: 1rem 10rem;
    width: 100%;
}

.banner h6 {
  font-family: 'Open Sans Semi Bold', sans-serif;
  font-weight: 500;
  line-height: 1.2;
  font-size: 2rem;
  letter-spacing: 0.1rem;
  text-transform: uppercase;
}

.banner button {
  color: #95969A;
  margin-right: 10px;
  height: 3rem;
  line-height: 3rem;
}

#banner-logo {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-end;
}

.banner button:hover {
  color: #92e0d3;
  border-color: whitesmoke;
}

.banner Img {
  height: 5rem;
  margin: 0px;
}*/

.two.columns {
  width: 16.25%;
}

.column,
.columns {
  margin-left: 0.5%;
}

.pretty_container {
  border-radius: 5px;
  background-color: #f9f9f9;
  margin: 10px;
  padding: 15px;
  position: relative;
  box-shadow: 2px 2px 2px lightgrey;
}

.bare_container {
  margin: 0 0 0 0;
  padding: 0 0 0 0;
}

.dcc_control {
  margin: 0;
  padding: 5px;
  width: calc(100%-40px);
}

.control_label {
  margin: 0;
  padding: 10px;
  padding-bottom: 0px;
  margin-bottom: 0px;
  width: calc(100%-40px);
}

.rc-slider {
  margin-left: 0px;
  padding-left: 0px;
}

.flex-display {
  display: flex;
}

.container-display {
  display: flex;
}

#individual_graph,
#aggregate_graph {
  width: calc(100% - 30px);
  position: absolute;
}

#count_graph {
  position: absolute;
  height: calc(100% - 30px);
  width: calc(100% - 30px);
}

#countGraphContainer {
  flex: 5;
  position: relative;
}

#header {
  align-items: center;
  margin-top: 0px;
}

#button {
  text-align: center;
  height: 100%;
  padding: 0 20px;
  text-transform: none;
  font-size: 15px;
  float: right;
  margin-right: 10px;
  margin-top: 30px;
}
#title {
  text-align: center;
}

.mini_container {
  border-radius: 5px;
  background-color: #f9f9f9;
  margin: 10px;
  padding: 15px;
  position: relative;
  box-shadow: 2px 2px 2px lightgrey;
}

#right-column {
  display: flex;
  flex-direction: column;
}

#wells {
  flex: 1;
}

#gas {
  flex: 1;
}

#aggregate_data {
  align-items: center;
}

#oil {
  flex: 1;
}

#water {
  flex: 1;
}

#tripleContainer {
  display: flex;
  flex: 3;
}

#mainContainer {
  display: flex;
  flex-direction: column;
}

#pie_graph > div > div > svg:nth-child(3) > g.infolayer > g.legend {
  pointer-events: all;
  transform: translate(30px, 349px);
}


@keyframes fadein {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 0.5;
    }
}

._dash-loading-callback {
  font-family: sans-serif;
  padding-top: 50px;
  color: rgb(90, 90, 90);

  /* The banner */
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  text-align: center;
  cursor: progress;

  opacity: 0;
  background-color: rgb(250, 250, 250);
  /* Delay animation by 1s to prevent flashing
     and smoothly transition the animation over 0.5s
   */
  -moz-animation: fadein 0.5s ease-in 1s forwards; /* Firefox */
  -webkit-animation: fadein 0.5s ease-in 1s forwards; /* Safari and Chrome */
  -o-animation: fadein 0.5s ease-in 1s forwards; /* Opera */
    animation: fadein 0.5s ease-in 1s forwards;
}

